MissingH-1.6.0.2: Large utility library

Copyright | Copyright (C) 2005-2011 John Goerzen
License | BSD-3-Clause
Stability | stable
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Data.Maybe.Utils

Description

Utilities for working with the `Maybe` data type.

Synopsis

- forceMaybe :: Maybe a -> a
- forceMaybeMsg :: String -> Maybe a -> a

# Documentation

forceMaybe :: Maybe a -> a Source #

Pulls a `Just` value out of a `Maybe` value. If the `Maybe` value is `Nothing`, raises an exception with error.

Alias of `fromJust`.

forceMaybeMsg :: String -> Maybe a -> a Source #

Like `forceMaybe`, but lets you customize the error message raised if `Nothing` is supplied.